Problem with bundle install 5.1.0

2023-11-15 11:10 - Dines T

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.0

Description

Hello.

Where is problem?

[redmine@redmine redmine-5.1.0]$ bundle config set --local with 'rmagick'

[redmine@redmine redmine-5.1.0]$ bundle install

[!] There was an error parsing `Gemfile`: undefined method `filter_map

' for #<Array:0x000000000253b360>

Did you mean?  filter. Bundler cannot continue.

 #  from /home/redmine/redmine-5.1.0/Gemfile:66

 #  -------------------------------------------

 #    database_config = YAML.respond_to?(:unsafe_load) ? YAML.unsafe_load(yaml_config) : YAML.load

(yaml_config)

 >    adapters = database_config.values.filter_map {|c| c['adapter']}.uniq

 #    if adapters.any?

 #  -------------------------------------------

[redmine@redmine redmine-5.1.0]$ 

[redmine@redmine redmine-5.1.0]$ ruby -v

ruby 2.6.1p33 (2019-01-30 revision 66950) [x86_64-linux]

[redmine@redmine redmine-5.1.0]$ rvm -v

rvm 1.29.12 (latest) by Michal Papis, Piotr Kuczynski, Wayne E. Seguin [https://rvm.io]

[redmine@redmine redmine-5.1.0]$ 

History

#1 - 2023-11-15 12:59 - Go MAEDA

- Status changed from New to Needs feedback

Given that you see the error "undefined method `filter_map' for #<Array:0x000000000253b360>", it is possible that your Ruby version is 2.6 or lower.

Redmine supports Ruby 2.7 or higher. If you are using Ruby 2.6 or lower, please use a newer version of Ruby.

#2 - 2024-01-28 08:30 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
